--------------------------------------------------------------------------------
-- SubModule ClkDiv500
-- Created   07.10.2012 20:49:50
--------------------------------------------------------------------------------
library IEEE;
use IEEE.Std_Logic_1164.all;

-- divide frequency 50 MHz on CLK down to 100 kHz on CLKOUT

entity ClkDiv500 is port
   (
     CLK    : in    std_logic;
     CLKOUT : out   std_logic
   );
end ClkDiv500;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
architecture Structure of ClkDiv500 is

-- Component Declarations

-- Signal Declarations

begin

end Structure;
--------------------------------------------------------------------------------


architecture Behavior of ClkDiv500 is
begin
  process(clk)
    variable cnt : integer range 0 to 500;
    begin
      if(clk'event and clk='1') then
        if(cnt>249) then
          clkout<='1';
          if (cnt>499) then
            cnt:=0;
          end if;
        else
          clkout<='0';
        end if;
        cnt := cnt + 1;
      end if;
  end process;
end Behavior;


